Returns a list of all comments on a release.
workspace_slug
The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
https://app.plane.so/my-team/projects/
my-team
release_id
The unique identifier for the release.
per_page
Number of results per page. Defaults to 20.
cursor
Cursor string for pagination in the format value:offset:is_prev.
value:offset:is_prev
releases.comments:read
curl -X GET \ "https://api.plane.so/api/v1/workspaces/my-workspace/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890/comments/" \ -H "X-API-Key: $PLANE_API_KEY" \ # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
import requests response = requests.get( "https://api.plane.so/api/v1/workspaces/my-workspace/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890/comments/", headers={"X-API-Key": "your-api-key"} ) print(response.json())
const response = await fetch( "https://api.plane.so/api/v1/workspaces/my-workspace/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890/comments/", { method: "GET", headers: { "X-API-Key": "your-api-key", }, }, ); const data = await response.json();
{ "next_cursor": "20:1:0", "prev_cursor": "", "next_page_results": false, "prev_page_results": false, "count": 1, "total_pages": 1, "total_results": 1, "extra_stats": null, "results": [ { "id": "c0ffee00-1111-2222-3333-444444444444", "created_at": "2025-03-02T09:15:00.000000Z", "updated_at": "2025-03-02T09:15:00.000000Z", "deleted_at": null, "comment": { "description_html": "<p>QA sign-off complete.</p>", "description_binary": null, "description_stripped": "QA sign-off complete.", "description_json": {} }, "is_hidden": false, "edited_at": null, "is_resolved": false, "created_by": "16c61a3a-512a-48ac-b0be-b6b46fe6f430", "updated_by": "16c61a3a-512a-48ac-b0be-b6b46fe6f430", "workspace": "cd4ab5a2-1a5f-4516-a6c6-8da1a9fa5be4", "release": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "parent": null } ] }
List all release comments
Returns a list of all comments on a release.
Path Parameters
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL
https://app.plane.so/my-team/projects/, the workspace slug ismy-team.release_id:requiredstringThe unique identifier for the release.
Query Parameters
per_page:optionalintegerNumber of results per page. Defaults to 20.
cursor:optionalstringCursor string for pagination in the format
value:offset:is_prev.Scopes
releases.comments:read